1
\$\begingroup\$

I have a copy of Visual Studio 2008 Pro. The Windows Phone Developments tools which include XNA 4 continuously fail to install on my machine. I am wondering if it was due to having 2008 vs 2010. Any ideas?

\$\endgroup\$
2
  • \$\begingroup\$ Do you get any particular error message? As was stated it should download visual studio 2010 express if you don't have visual studio 2010 already installed and I am pretty sure that you can have both 2008 and 2010 installed on the same machine, so it shouldn't be causing any errors. The following link proves my point msdn.microsoft.com/en-us/library/ms246609.aspx \$\endgroup\$ Commented Dec 24, 2010 at 22:09
  • \$\begingroup\$ No error message, the installer hangs and I get a "Not Responding" message. What's weird is certain parts were installed the emulator. I think I will uninstall everything and try again. \$\endgroup\$
    – Danny S.
    Commented Dec 25, 2010 at 15:13

2 Answers 2

3
\$\begingroup\$

Yes you need VS2010. If you don't have the full VS2010 the installer will download VS2010 Express Edition. Obviously that's a bummer if you've got stuff in VS2008 Pro that you like, but hey, that's Microsoft for you.

\$\endgroup\$
2
  • \$\begingroup\$ Damn, I bought 2008 in 2009 too. I should of waited. Thank you for taking the time to answer. \$\endgroup\$
    – Danny S.
    Commented Dec 25, 2010 at 15:13
  • \$\begingroup\$ Always go for MSDN subscriptions with VS in them if you can, the VS upgrade cycle will always be there :9 These days, a retail non-sub upgrade to 2010 includes one year of MSDN Essentials as a taster though ^^ \$\endgroup\$ Commented Dec 27, 2010 at 11:10
0
\$\begingroup\$

Yes, you need the application from this website to be able to develop for Windows Phone 7

http://www.microsoft.com/visualstudio/en-us/products/2010-editions/windows-phone-developer-tools

\$\endgroup\$

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .